import { d1 as l, V as m, U as c, ad as i, c5 as r, H as o, I as u, ae as S, af as y, a4 as a, ah as g, aj as t, c1 as x } from "./56c67d3b.js";
import "react";
import { SliderChildren as f, SliderWrapper as w, SliderStyled as p, SliderPropertyView as C } from "./5608d4fb.js";
import "react-dom";
const b = function() {
  const s = {
    ...f,
    start: l("start", 10),
    end: l("end", 60),
    vertical: m
  };
  return new c(s, (e, v) => e.label({
    style: e.style,
    labelStyle: e.labelStyle,
    inputFieldStyle: e.inputFieldStyle,
    animationStyle: e.animationStyle,
    children: /* @__PURE__ */ i(w, {
      $vertical: !!e.vertical,
      onMouseDown: (n) => (n.stopPropagation(), !1),
      children: [r(e.prefixIcon) && e.prefixIcon, /* @__PURE__ */ o(p, {
        ...e,
        range: !0,
        value: [e.start.value, e.end.value],
        $style: e.inputFieldStyle,
        style: {
          margin: 0
        },
        $vertical: !!e.vertical || !1,
        onChange: ([n, d]) => {
          e.start.onChange(n), e.end.onChange(d), e.onEvent("change");
        }
      }), r(e.suffixIcon) && e.suffixIcon]
    })
  })).setPropertyViewFn((e) => /* @__PURE__ */ i(u, {
    children: [/* @__PURE__ */ i(S, {
      name: y.basic,
      children: [e.start.propertyView({
        label: a("rangeSlider.start")
      }), e.end.propertyView({
        label: a("rangeSlider.end")
      }), e.max.propertyView({
        label: a("prop.maximum")
      }), e.min.propertyView({
        label: a("prop.minimum")
      }), e.step.propertyView({
        label: a("rangeSlider.step"),
        tooltip: a("rangeSlider.stepTooltip")
      }), e.vertical.propertyView({
        label: a("slider.vertical")
      })]
    }), /* @__PURE__ */ o(C, {
      ...e
    })]
  })).build();
}(), D = g(b, [new t("start", a("export.sliderStartDesc")), new t("end", a("export.sliderEndDesc")), new t("max", a("export.sliderMaxValueDesc")), new t("min", a("export.sliderMinValueDesc")), ...x]);
export {
  D as RangeSliderComp
};
